debugserver_client_free
debugserver_client_new
debugserver_client_receive
debugserver_client_receive_response
debugserver_client_receive_with_timeout
debugserver_client_send
debugserver_client_send_command
debugserver_client_set_ack_mode
debugserver_client_set_argv
debugserver_client_set_environment_hex_encoded
debugserver_client_set_receive_params
debugserver_client_start_service
debugserver_client_t
debugserver_command_free
debugserver_command_new
debugserver_command_t
debugserver_decode_string
debugserver_encode_string
debugserver_error_t
DEBUGSERVER_SECURE_SERVICE_NAME
DEBUGSERVER_SERVICE_NAME

## debugserver_client_set_ack_mode()

LIBIMOBILEDEVICE_API debugserver_error_t debugserver_client_set_ack_mode | ( | debugserver_client_t | client,
|  | int | enabled )

Controls status of ACK mode when sending commands or receiving responses.

See also
  debugserver_client_send_command, debugserver_client_receive_response

Parameters

  client | The debugserver client
  enabled | A boolean flag indicating whether the internal ACK mode handling should be enabled or disabled.

Returns
  DEBUGSERVER_E_SUCCESS on success, or an DEBUGSERVER_E_* error code otherwise.